
Redmine - Feature #4896

Project identifier should be a limited field

2010-02-22 21:01 - Bruno Prado

Status: Closed Start date: 2010-02-22

Priority: Low Due date:  

Assignee: Eric Davis % Done: 100%

Category: UI Estimated time: 0.00 hour

Target version: 1.0.1   

Resolution: Fixed   

Description

As the project identifier is limited to 20 characters, the field should not allow to entry more than 20 characters.

Related issues:

Related to Redmine - Feature #5040: Project name limited to 30 characters Closed 2010-03-10

Associated revisions

Revision 3910 - 2010-08-04 02:59 - Eric Davis

Add maxlength attributes to some Project fields. #4896

Contributed by Felix Schäfer

History

#1 - 2010-02-23 22:31 - Jean-Philippe Lang

- Category set to UI

#2 - 2010-07-08 17:29 - Felix Schäfer

- File add_maxlength_to_textfields_in_the_project_form.patch added

- Status changed from New to Resolved

- Target version set to 1.0.1

This patch adds a textfield attribute to the name and identifier attributes on the project form.

#3 - 2010-07-08 17:29 - Felix Schäfer

- Assignee set to Felix Schäfer

#4 - 2010-07-13 00:39 - Holger Just

The patch looks good.

#5 - 2010-07-14 23:24 - Mischa The Evil

Nice one indeed Felix...

Maybe there are also other areas in Redmine (project) settings/administration where such attributes can help improve UX?

#6 - 2010-07-14 23:26 - Mischa The Evil

- Subject changed from Porject identifier should be a limited field to Project identifier should be a limited field

#7 - 2010-08-04 02:35 - Eric Davis

- Status changed from Resolved to New

Needs to stay as New until it's committed, I thought this was done in trunk.

#8 - 2010-08-04 02:58 - Eric Davis

- Status changed from New to Resolved

- Assignee changed from Felix Schäfer to Eric Davis
- % Done changed from 0 to 100

- Resolution set to Fixed

Had time to commit this tonight, r3910.

#9 - 2010-08-19 06:35 - Eric Davis

- Status changed from Resolved to Closed

Merged to 1.0-stable for release in 1.0.1.

#10 - 2011-03-11 05:30 - whoiam whoiam

Could you please give me some guides how to raise project-name length-limit from 30 to 60 characters by writing a plugin instead of a patch file?

Thanks in advance

Files

add_maxlength_to_textfields_in_the_project_form.patch 1.08 KB 2010-07-08 Felix Schäfer
